Package de.willuhn.jameica.hbci.forecast

# Class ForecastProviderUmsatz

java.lang.Object
de.willuhn.jameica.hbci.forecast.ForecastProviderUmsatz

All Implemented Interfaces:
  `ForecastProvider`

public class ForecastProviderUmsatz extends Object implements ForecastProvider
Forecast-Provider für eine Saldo-Prognose anhand der Umsätze der letzten 3 Monate.

## Constructor Summary

Constructors
Constructor
Description
`ForecastProviderUmsatz()`

## Method Summary

Modifier and Type
Method
Description
`List<Value>`
`getData(Konto k, Date to)`
Liefert die voraussichtlichen Zahlungen beginnend mit heute und endend mit dem angegeben Datum.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Provider.
`boolean`
`isDefaultEnabled()`
Liefert true, wenn der Provider per Default aktiv sein soll.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForecastProviderUmsatz

public ForecastProviderUmsatz()

## Method Details

### getName

public String getName()
Description copied from interface: `ForecastProvider`
Liefert einen sprechenden Namen fuer den Provider.

Specified by:
  `getName` in interface `ForecastProvider`
Returns:
  sprechender Name.
See Also:
  - `ForecastProvider.getName()`

### isDefaultEnabled

public boolean isDefaultEnabled()
Description copied from interface: `ForecastProvider`
Liefert true, wenn der Provider per Default aktiv sein soll.

Specified by:
  `isDefaultEnabled` in interface `ForecastProvider`
Returns:
  true, wenn der Provider per Default aktiv sein soll.
See Also:
  - `ForecastProvider.isDefaultEnabled()`

### getData

public List<Value> getData(Konto k, Date to) throws Exception
Description copied from interface: `ForecastProvider`
Liefert die voraussichtlichen Zahlungen beginnend mit heute und endend mit dem angegeben Datum.

Specified by:
  `getData` in interface `ForecastProvider`
Parameters:
  `k` - das Konto. Wenn es fehlt, sollte der Provider die Zahlungen aller Konten liefern.
  `to` - Ende des Zeitraumes (inclusive). Das Datum ist immer angegeben. Die Implementierung muss hier also nicht auf NULL pruefen.
Returns:
  Liste der voraussichtlichen Zahlungen.
Throws:
  `Exception`
See Also:
  - `ForecastProvider.getData(de.willuhn.jameica.hbci.rmi.Konto, java.util.Date)`